Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.i18n.client
Class PluralRule.PluralForm

    java.lang.Object
      com.google.gwt.i18n.client.PluralRule.PluralForm

Enclosing interface:
  PluralRule

    public static class PluralRule.PluralForm

extends java.lang.Object

Information about the plural forms supported by this rule which will be used during code generation and by tools to provide information to translators.

Constructor Summary
`PluralRule.PluralForm(java.lang.String name, java.lang.String description)` Create the plural form.
`PluralRule.PluralForm(java.lang.String name, java.lang.String description, boolean noWarn)` Create the plural form.

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`boolean` | `getWarnIfMissing()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluralRule.PluralForm

    public PluralRule.PluralForm(java.lang.String name,
                                 java.lang.String description)

  Create the plural form.

  Parameters:
    `name` -
    `description` -

### PluralRule.PluralForm

    public PluralRule.PluralForm(java.lang.String name,
                                 java.lang.String description,
                                 boolean noWarn)

  Create the plural form.

  Parameters:
    `name` -
    `description` -
    `noWarn` - if true, do not warn if this form is missing from a translation. This is used for those cases where a plural form is defined for a language, but is very rarely used.

Method Detail

### getDescription

    public java.lang.String getDescription()

  Returns:
    the description.

### getName

    public java.lang.String getName()

  Returns:
    the name.

### getWarnIfMissing

    public boolean getWarnIfMissing()

  Returns:
    true if the generator should warn if this plural form is not present.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD